/**
 * Copyright (c) 2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry_overlay.core;

import org.easymock.classextension.EasyMock;
import org.junit.Test;

/**
 * Unit test of {@link StopRegistryThread}
 */
public class StopThreadTest {

    @Test
    public void stop() throws InterruptedException {
        
        final RegistryOverlayNode node = EasyMock.createMock(RegistryOverlayNode.class);
        node.stop();
        EasyMock.expectLastCall();
        EasyMock.expect(node.isRunning()).andReturn(true);
        EasyMock.replay(node);

        final StopRegistryThread stopThread = new StopRegistryThread(node);
        stopThread.start();
        
        stopThread.join(5000);
        EasyMock.verify(node);
    }
}
